2008年7月24日

[PHP-users 33879]PHP をシェルスクリプトとして使用する場合

こんばんは、奥井です。
PHP をコマンドラインから使用した場合、require_onceが動作しません。
test.phpでひとつ上の階層にあるファイルをrequireするとrequire_onceのところでPHP Fatal error: main(): Failed opening required '../config.php' (include_path='.:/usr/share/php4-pear')
../config.phpをフルパスで書いたらエラーになりません。
test.php
#!/usr/bin/php
<?php
require_once( "../config.php" );


?>
require_once( "../config.php" );を使う為にはどうすればいいんでしょうか?
コマンドラインでは使えない仕様なら仕方ありませんが。
ご教授お願いします。

_______________________________________________
PHP-users mailing list PHP-users@xxxxx
http://ml.php.gr.jp/mailman/listinfo/php-users
PHP初心者のためのページ - 質問する前にはこちらをお読みください
http://oldwww.php.gr.jp/php/novice.php3


投稿者 xml-rpc : 2008年7月24日 22:14
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/75620
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。